package intrinsic.flash.desktop;

public class Clipboard extends Object {

	/** Accessors */
	public intrinsic.Array formats;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static intrinsic.flash.desktop.Clipboard generalClipboard;

	/** Class variables */

/** Contructors */
public Clipboard() {
}


/** Static Methods */

/** Methods */
public native boolean setData(String arg0, Object arg1);
public native boolean setData(String arg0, Object arg1, boolean arg2);
public native boolean setDataHandler(String arg0, intrinsic.Function arg1);
public native boolean setDataHandler(String arg0, intrinsic.Function arg1, boolean arg2);
public native void clear();
public native void addHandler(intrinsic.Function arg0, String arg1);
public native void addHandler(intrinsic.Function arg0, String arg1, boolean arg2);
public native Object getData(String arg0);
public native Object getData(String arg0, String arg1);
public native void addData(Object arg0, String arg1);
public native void addData(Object arg0, String arg1, boolean arg2);
public native Object dataForFormat(String arg0);
public native Object dataForFormat(String arg0, String arg1);
public native boolean hasFormat(String arg0);
public native void clearData(String arg0);

}
